From c5840bef4f66cf6c64a75c2bfd5c065e84bdba50 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jul 31 2015 16:37:43 +0000
Subject: [PATCH 197/254] cobwebs!


---

diff --git a/hubs/widgets/cobwebs.py b/hubs/widgets/cobwebs.py
index d6684b2..ff1ebd5 100644
--- a/hubs/widgets/cobwebs.py
+++ b/hubs/widgets/cobwebs.py
@@ -12,7 +12,7 @@ template = jinja2.Template("""
 <ul class="media-list">
     <li class="media">
         <div class="media-left">
-            <img class="media-object square-32" src="http://placekitten.com/g/32/32"/>
+            <img class="media-object square-32" src="{{cobweb_icon}}"/>
         </div>
         <div class="media-body">
             Cobweb alert!  This hub was last active {{then}}.
@@ -28,7 +28,9 @@ def data(session, widget):
     old = days > 31
     then = datetime.datetime.utcnow() - datetime.timedelta(days=days)
     then = arrow.get(then).humanize()
-    return dict(old=old, days=days, then=then)
+    import flask
+    cobweb_icon = flask.url_for('static', filename='img/cobweb.png')
+    return dict(old=old, days=days, then=then, cobweb_icon=cobweb_icon)
 
 
 #@hint(topics=[_('hubs.widget.update')])

